%global plugin_name workflow-cps

Summary:    Pipeline execution engine for Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.30
Release:    10%{?dist}
License:    MIT
# URL is correct, just named weird
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Groovy+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-cps-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-jquery-detached
Requires:   jenkins-plugin-ace-editor
Requires:   jenkins-plugin-structs
Requires:   jenkins-plugin-script-security
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-scm-step
Requires:   jenkins-plugin-workflow-api

%description
A key component of the Pipeline plugin suite, 
this provides the standard execution engine for Pipeline steps, 
based on a custom Groovy interpreter that runs inside the 
Jenkins master process.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.30 - 2.30-10
- rebuilt

* Thu Jul 06 2017 root - 2.36-1
- Update to 2.36

* Mon Apr 24 2017 Troy Dawson <tdawson@redhat.com> - 2.30-1
- Update to 2.30

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 2.29-1
- Update to 2.29

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.29-1
- Update to 2.29

* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 2.25-1
- Update to 2.25

* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 2.24-1
- Update to 2.24

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.22-1
- Update to latest version

* Tue Jun 21 2016 Troy Dawson <tdawson@redhat.com> - 2.6-1
- Update to 2.6

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.5-1
- Initial package
